Name:           plexus-io
Version:        2.0.4
Release:        %mkrel 3
Summary:        Plexus IO Components
Epoch:          1
Group:          Development/Java
License:        ASL 2.0
URL:            http://plexus.codehaus.org/plexus-components/plexus-io
# fetched from https://github.com/sonatype/plexus-io/tarball/plexus-io-2.0.4
Source0:        sonatype-plexus-io-plexus-io-2.0.4-0-g2767dfe.tar.gz

BuildArch:      noarch

BuildRequires: java-devel >= 0:1.6.0 
BuildRequires: jpackage-utils

BuildRequires: plexus-utils
BuildRequires: plexus-container-default
BuildRequires: maven
BuildRequires: maven-resources-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-doxia-sitetools
BuildRequires: forge-parent
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
Requires:      jpackage-utils
Requires:      plexus-utils
Requires:      plexus-container-default

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations. 

%files
%doc NOTICE.txt
%{_javadir}/plexus/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n sonatype-plexus-io-fd7f1a8


%build
mvn-rpmbuild install javadoc:javadoc -Dmaven.test.skip=true

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}/plexus
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/plexus/io.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP.%{name}.pom

%add_maven_depmap JPP.%{name}.pom plexus/io.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.4-3.mga3
+ Revision: 377901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1:2.0.4-2.mga3
+ Revision: 325798
- Add BR on maven-enforcer-plugin.
- Update to latest upstream.

* Sat Mar 03 2012 gil <gil> 1:2.0.2-1.mga2
+ Revision: 217153
- update to 2.0.2

* Thu Jan 05 2012 dmorgan <dmorgan> 1:1.0.1-2.mga2
+ Revision: 191862
- Revert to version 1.x
- Disable tests

* Fri Dec 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 186240
- New version 2.0.1

* Fri Dec 09 2011 dmorgan <dmorgan> 1.0.1-2.mga2
+ Revision: 179541
- Removal of plexus-maven-plugin dependency (not needed)

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 126874
- Update to upstream 1.0.1.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.3.a5.2.mga1
+ Revision: 93026
- Rebuild after bootstrapping
- imported package plexus-io

